Subject: Re: Pricing - CP - HELP!
From: Andrew Romeril <[email-masked]>
To: Rachel Baugh <[email-masked]>
Date: Tue, 25 Nov 2025 09:53:18 +0000 (UTC)

Hi Rachel, we will do them all at £25 per strip. Hope that’s ok.Best regards, Andy

Sent from Yahoo Mail for iPad

On Tuesday, November 25, 2025, 8:41 AM, Rachel Baugh <[email-masked]> wrote:

Hi Andy,
Just tried calling the mob, could you give me a ring back this morning? 
01534 768141

Kind Regards

Interior Design Advisor

[email-masked]

 

 
From: Andrew Romeril <[email-masked]>
Date: Monday, 24 November 2025 at 16:58
To: Rachel Baugh <[email-masked]>
Subject: Re: Pricing - CP - HELP!

Hi Rachel, can you call me in morning please. I tried to get through today but no answer.Thanks, Andy

Sent from Yahoo Mail for iPad

On Monday, November 24, 2025, 3:46 PM, Rachel Baugh <[email-masked]> wrote:

Hi Andy,
Sorry to nudge already as appreciate we only asked today, but we have a meeting with the clients tomorrow regarding finishing up the job so would there be any chance you could let us know today or tomorrow please ?  

Kind Regards

Interior Design Advisor

[email-masked]

 

 
From: Rachel Baugh <[email-masked]>
Date: Monday, 24 November 2025 at 11:06
To: Scott Ruderham <[email-masked]>, Andrew Romeril <[email-masked]>
Subject: Re: Pricing - CP - HELP!

Andy out of interest can you source this powder and what would the cost be if so, it would be for this job? 

There is 17 in total as there is one hiding in the top right hand corner of Ben’s sheet.

Kind Regards

Interior Design Advisor

[email-masked]

 

 
From: Scott Ruderham <[email-masked]>
Date: Monday, 24 November 2025 at 11:02
To: Andrew Romeril <[email-masked]>
Subject: RE: Pricing - CP - HELP!

Hi again Andu

Here is an example of a current job we are looking at where some 1mm ally strips would need powder coating.

How much would this cost us to get powder coated?  16 x strips in total – we would supply our own powder for this

Thanks

Scotty

 

 

From: Scott Ruderham
Sent: 24 November 2025 10:30
To: 'Andrew Romeril' <[email-masked]>
Subject: RE: Pricing - CP - HELP!

Thanks Andy for this

If I need more info il give you a call.

Thanks

Scotty

From: Andrew Romeril <[email-masked]>
Sent: 24 November 2025 10:14
To: Scott Ruderham <[email-masked]>
Subject: Re: Pricing - CP - HELP!

Hi Scott, just tried to call to explain quicker than writing….so here we go.

Our commercial rate is £4 per square foot for flashings etc, but make allowances for lots of tiny bits, we try to be as fair as possible. This generally includes standard colour powders. But if we have to order special order powders, we put that cost on the total.

Gates, railings etc it will depend on what needs to be done, sandblasting, galvanized will all have different prices, not sure if you need anything like that but it’ll be easier to have a chat about to explain.

As for time, we try our best to keep up, sometimes it’s better to get stuff booked in, that way you’re guaranteed a start date. As you know when we’re busy, we can be real busy!!!!

Hope that helps a bit, but call for a chat anytime.

Speak soon, best regards, Andy

Sent from Yahoo Mail for iPad

On Monday, November 24, 2025, 9:53 AM, Scott Ruderham <[email-masked]> wrote:

Morning Andy

I hope you are well mate.

Just a quick one – this is nothing aimed at PSL directly, but we have a big run of new structure jobs and we need to factor in sizes of ally, flashings, powder coating etc for make up of future quotes.

What I need to ask from you is the following please (so we can work out our costs)

   
   - How do you charge for powder coating? – sizes? Colours? Time?

If you can let me know please it will be greatly appreciated.

TcTy